# iRedAdmin-Pro (web-based admin panel) release notes and upgrade tutorials

[TOC]

## Upgrade iRedAdmin

With the latest iRedAdmin, you can simply upgrade old releases by following
this tutorial with just one shell command:
[Migrate or upgrade iRedAdmin](./migrate.or.upgrade.iredadmin.html)

## Install iRedAdmin from scratch

* [Install iRedAdmin on Red Hat Enterprise Linux, CentOS, Scientific Linux](./install.iredadmin.on.rhel.html)
* [Install iRedAdmin on Debian, Ubuntu](./install.iredadmin.on.debian.html)
* [Install iRedAdmin on FreeBSD](./install.iredadmin.on.freebsd.html)
* [Install iRedAdmin on OpenBSD](./install.iredadmin.on.openbsd.html)

## Release Notes

### iRedAdmin-Pro-LDAP (for OpenLDAP backend)

* [2.5.0](http://www.iredmail.org/forum/topic10513.html), Jan 25, 2016.
* [2.4.0](http://www.iredmail.org/forum/topic10262.html), Dec 14, 2015.
* [2.3.1](http://www.iredmail.org/forum/topic9281.html), Jun 3, 2015. Bug fixes.
* [2.3.0](http://www.iredmail.org/forum/topic9145.html), May 15, 2015. Provides some basic hooks (hook is just like plugin).

----

* [2.2.2](http://www.iredmail.org/forum/topic8635.html), Feb 2, 2015. bugfix release.
* [2.2.0](http://www.iredmail.org/forum/topic8447.html), Jan 1, 2015. self-service, deeper Amavisd integration, SSHA512/BCRYPT password hashes support.
* [2.1.2](http://www.iredmail.org/forum/topic6925-news-announcements-bug-fixes-iredadminproldap212-has-been-released.html), 2014-05-16
* [2.1.1](http://www.iredmail.org/forum/topic5911.html), 2013-12-30
* [2.1.0](http://www.iredmail.org/forum/topic5832-news-announcements-bug-fixes-iredadminproldap21-has-been-released.html), 2013-12-16
* [2.0](http://www.iredmail.org/forum/topic5168-news-announcements-bug-fixes-iredadminproldap20-has-been-released.html), 2013-07-16. bugfix release.
* [1.9.0](http://www.iredmail.org/forum/topic4647-news-announcements-bug-fixes-iredadminproldap190-has-been-released.html), 2013-03-26. bugfix release.
* [1.8.0](http://www.iredmail.org/forum/topic3919-news-announcements-bug-fixes-iredadminproldap180-has-been-released.html), 2012-09-19. bugfix release.
* [1.7.0](http://www.iredmail.org/forum/topic3369-news-announcements-bug-fixes-iredadminproldap172-has-been-released.html), 2012-05-10. bugfix release.
* [1.6.3](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/LDAP/1.6.3), 2012-01-10. bugfix release.
* [1.6.2](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/LDAP/1.6.2), 2011-08-07. bugfix release.
* [1.6.1](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/LDAP/1.6.1), 2011-06-26. bugfix release.
* [1.6.0](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/LDAP/1.6.0), 2011-06-10. security fix release.
* [1.5.0](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/LDAP/1.5.0), 2011-05-03
* [1.4.1](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/LDAP/1.4.1), 2011-03-03
* [1.4.0](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/LDAP/1.4.0), 2011-02-01
* [1.3.0](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/LDAP/1.3.0), 2010-10-01
* [1.2.0](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/LDAP/1.2.0), 2010-06-18
* [1.0], 2009-11-01

### iRedAdmin-Pro-SQL (For MySQL, MariaDB, PostgreSQL backends)

* [2.3.0](http://www.iredmail.org/forum/topic10514.html), Jan 25, 2016.
* [2.2.0](http://www.iredmail.org/forum/topic10263.html), Dec 14, 2015.
* [2.1](http://www.iredmail.org/forum/topic9282.html), Jun 3, 2015. Bug fixes.

    * 2.1.3, Jun 27, 2015. Fixes a bug, improved command line tool used to manage white/blacklists.
    * 2.1.2, Jun 17, 2015. Fixes two bugs, updates Spain (es_ES) and Germany (de_DE) translations.
    * 2.1.1, Jun 4, 2015. Fixes a small bug.

* [2.0](http://www.iredmail.org/forum/topic9146.html), May 15, 2015.

----

iRedAdmin-Pro-MySQL and iRedAdmin-Pro-PGSQL were merged into one edition:
iRedAdmin-Pro-SQL. Below are changelog of old iRedAdmin-Pro-MySQL editions.

* [1.9.2](http://www.iredmail.org/forum/topic8636.html), Feb 2, 2015. bugfix release.
* [1.9.0](http://www.iredmail.org/forum/topic8448.html), Jan 1, 2015. self-service, deeper Amavisd integration, SSHA512/BCRYPT password hashes support.
* [1.8.2](http://www.iredmail.org/forum/topic6924.html), 2014-05-16.
* [1.8.1](http://www.iredmail.org/forum/topic5912.html), 2013-12-30
* [1.8.0](http://www.iredmail.org/forum/topic5834.html), 2013-12-16
* [1.7.0](http://www.iredmail.org/forum/topic5169.html), 2013-07-16. bugfix release.
* [1.6.0](http://www.iredmail.org/forum/topic4649.html), 2013-03-26. bugfix release.
* [1.5.0](http://www.iredmail.org/forum/topic3920.html), 2012-09-19. bugfix release.
* [1.4.0](http://www.iredmail.org/forum/topic3370.html), 2012-05-10. bugfix release.
* [1.3.1](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/MySQL/1.3.1), 2012-01-10. bugfix release.
* [1.3.0](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/MySQL/1.3.0), 2011-08-07.
* [1.2.1](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/MySQL/1.2.1), 2011-06-26. bugfix release. 
* [1.2.0](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/MySQL/1.2.0), 2011-06-10. security fix release.
* [1.1.0](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/MySQL/1.1.0), 2011-05-03
* [1.0](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/MySQL/1.0), 2011-02-01

iRedAdmin-Pro-MySQL and iRedAdmin-Pro-PGSQL were merged into one edition:
iRedAdmin-Pro-SQL. Below are changelog of old iRedAdmin-Pro-PGSQL editions.

* [1.9.2](http://www.iredmail.org/forum/topic8637.html), Feb 2, 2015. bugfix release.
* [1.5.0](http://www.iredmail.org/forum/topic8449.html), Jan 1, 2015. self-service, deeper Amavisd integration, SSHA512/BCRYPT password hashes support.
* [1.4.2](http://www.iredmail.org/forum/topic6926.html), 2014-05-16.
* [1.4.1](http://www.iredmail.org/forum/topic5913.html), 2013-12-30.
* [1.4.0](http://www.iredmail.org/forum/topic5833.html), 2013-12-16.
* [1.3.0](http://www.iredmail.org/forum/topic5170.html), 2013-07-16. bugfix release.
* [1.2.0](http://www.iredmail.org/forum/topic4650.html), 2013-03-26. bugfix release.
* [1.1](http://www.iredmail.org/forum/topic3921.html), 2012-09-19. bugfix release.
* [1.0](http://www.iredmail.org/wiki/index.php?title=Release.Notes/iRedAdmin-Pro/PGSQL/1.0), 2012-05-10. initial release.
